Bug 1015412 - Server does not expose MBean for registering server-side serialization context
Summary: Server does not expose MBean for registering server-side serialization context
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER3
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1010419
TreeView+ depends on / blocked
 
Reported: 2013-10-04 07:41 UTC by Martin Gencur
Modified: 2014-04-28 15:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1016480 0 unspecified VERIFIED Remote Query tests fail due to hibernate-search-engine version in hotrod-client module 2021-02-22 00:41:40 UTC
Red Hat Issue Tracker ISPN-3582 0 Critical Resolved Server does not expose MBean for registering server-side serialization context 2013-10-18 06:52:57 UTC
Red Hat Issue Tracker ISPN-3587 0 Major Resolved Add remote query support in ispn server 2013-10-18 06:52:58 UTC

Internal Links: 1016480

Description Martin Gencur 2013-10-04 07:41:33 UTC

Comment 2 JBoss JIRA Server 2013-10-04 09:45:49 UTC
Adrian Nistor <anistor> made a comment on jira ISPN-3582

[~mgencur] Is the cache manager in question running? Its component registry has to be started before the query related and protobuf metadata mbeans are visible. To ensure it is started just get a cache from it.

Comment 3 JBoss JIRA Server 2013-10-04 09:52:47 UTC
Martin Gencur <mgencur> made a comment on jira ISPN-3582

It is running now that Will sorted out the dependencies in modules. It was not running before that. You can see the updated branch with Will's fixes and updated test here: https://github.com/mgencur/infinispan-server/commits/ISPN-3582/remote_query_mbean

Comment 4 JBoss JIRA Server 2013-10-04 10:06:37 UTC
Adrian Nistor <anistor> made a comment on jira ISPN-3582

[~mgencur] And If you put a breakpoint in org.infinispan.query.remote.LifecycleManager.cacheManagerStarting, is it ever hit?

Comment 5 JBoss JIRA Server 2013-10-04 16:15:38 UTC
Adrian Nistor <anistor> made a comment on jira ISPN-3582

Can you confirm infinispan-remote-query-server.jar (and its transient deps) are present in the server module? If the previously mentioned breakpoint is not hit, I would say no. Please add them.

Comment 6 JBoss JIRA Server 2013-10-04 20:38:01 UTC
William Burns <wburns> updated the status of jira ISPN-3582 to Resolved

Comment 7 JBoss JIRA Server 2013-10-04 20:38:01 UTC
William Burns <wburns> made a comment on jira ISPN-3582

This is fixed with ISPN-3587

Comment 8 Martin Gencur 2013-10-08 10:36:15 UTC
The server contains wrong version of hibernate-search so the existing tests fail and remote querying is not working. Setting back to ASSIGNED.


Note You need to log in before you can comment on or make changes to this bug.